package com.adventurer_engine.common.entity.ai.task;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.adventurer_engine.common.entity.ai.AIObject;
import com.adventurer_engine.common.entity.ai.NodeBase;
import com.adventurer_engine.common.entity.ai.NodeStatus;
import com.adventurer_engine.common.entity.ai.task.TaskBase;
import com.adventurer_engine.util.blockbench.BBModelAnimation;

public class TaskAnimator extends TaskBase {
  private final String animationName;
  
  private final int duration;
  
  public static final String INTERNAL_NAME = "animator";
  
  public NodeStatus onTick() {
    if (this.ai.getHost() == null)
      return NodeStatus.FAILURE; 
    if (this.tick == this.duration)
      return NodeStatus.SUCCESS; 
    if (this.tick > 0)
      return NodeStatus.RUNNING; 
    if (this.ai.getHost().setAnimation(this.animationName))
      return NodeStatus.RUNNING; 
    return NodeStatus.FAILURE;
  }
  
  public TaskAnimator(String animationName, AIObject ai) {
    super(ai);
    this.animationName = animationName;
    this.duration = (int)(((BBModelAnimation)(ai.getHost()).model.animations.get(animationName)).length * 20.0D);
  }
  
  public void reset() {}
  
  public String internalName() {
    return "animator";
  }
  
  public NodeBase copy(AIObject ai) {
    com.adventurer_engine.common.entity.ai.task.TaskAnimator copy = new com.adventurer_engine.common.entity.ai.task.TaskAnimator(this.animationName, ai);
    copy.ai = ai;
    return (NodeBase)copy;
  }
  
  public void customInit() {}
}
